Bug 593656 - Rebase libarchive to 2.8.3
Rebase libarchive to 2.8.3
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libarchive (Show other bugs)
6.0
All Linux
low Severity medium
: beta
: ---
Assigned To: Tomáš Bžatek
Martin Cermak
: Rebase
Depends On: 555714
Blocks: 594715
  Show dependency treegraph
 
Reported: 2010-05-19 08:23 EDT by Tomáš Bžatek
Modified: 2015-03-03 17:48 EST (History)
3 users (show)

See Also:
Fixed In Version: libarchive-2.8.3-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 15:22:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomáš Bžatek 2010-05-19 08:23:29 EDT
Please see bug 555714 for reference. The version 2.8.3 is a bugfix release and would be great to have it in final RHEL6.

Changelog:

Mar 14, 2010: libarchive 2.8.3 released
Mar 14, 2010: Symlink dereference fix for Linux broke the build there; corrected.

Mar 14, 2010: libarchive 2.8.2 released
Mar 12, 2010: Fix NULL deference for short self-extracting zip archives.
Mar 12, 2010: Don't dereference symlinks on Linux when reading ACLs.
Mar 07, 2010: Better detection of SHA2 support for old OpenSSL versions.
Mar 07, 2010: Fix parsing of input files for bsdtar -T.
Mar 07, 2010: Do not leak setup_xattr into the global namespace.

Mar 06, 2010: libarchive 2.8.1 released
Mar 06, 2010: Fix build when an older libarchive is already installed
Mar 03, 2010: Use O_BINARY opening files in bsdtar
Mar 02, 2010: Include missing archive_crc32.h
Mar 01, 2010: Correctly include iconv.h required by libxml2.
Comment 1 RHEL Product and Program Management 2010-05-19 08:35:18 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 9 Martin Cermak 2010-05-28 09:47:53 EDT
=> VERIFIED
Comment 10 releng-rhel@redhat.com 2010-07-02 15:22:33 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.